## org.beepcore.beep.core
Class ProfileRegistry

    java.lang.Object
      org.beepcore.beep.core.ProfileRegistry

All Implemented Interfaces:
  java.lang.Cloneable

public class ProfileRegistry
extends java.lang.Object
implements java.lang.Cloneable

Maintains a set of associations between URIs and `StartChannelListener`s. This set is used to generate the `greeting` and to demux `start` requests.

Constructor Summary
`ProfileRegistry()` Constructor ProfileRegistry

Method Summary
`StartChannelListener` `addStartChannelListener(java.lang.String profile, StartChannelListener listener, SessionTuningProperties tuning)` Add the `StartChannelListener` for the specified URI.
`java.lang.Object` `clone()`
`java.lang.String` `getLocalization()` Returns the value for the BEEP greeting localize attribute.
`java.util.Enumeration` `getProfiles()` Returns the currently registered profile URIs.
`StartChannelListener` `getStartChannelListener(SessionTuningProperties tuning, java.lang.String uri)` Returns the `StartChannelListener` for the specified URI.
`StartChannelListener` `removeStartChannelListener(java.lang.String profile)` Remove the `StartChannelListener` for the specified uri.
`void` `setLocalization(java.lang.String localize)` Set values for the BEEP greeting localize attribute.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileRegistry

    public ProfileRegistry()

  Constructor ProfileRegistry

Method Detail

### clone

    public java.lang.Object clone()

### getProfiles

    public java.util.Enumeration getProfiles()

  Returns the currently registered profile URIs.

### getStartChannelListener

    public StartChannelListener getStartChannelListener(SessionTuningProperties tuning,
                                                        java.lang.String uri)

  Returns the `StartChannelListener` for the specified URI.

  Parameters:
    `uri` -

### addStartChannelListener

    public StartChannelListener addStartChannelListener(java.lang.String profile,
                                                        StartChannelListener listener,
                                                        SessionTuningProperties tuning)

  Add the `StartChannelListener` for the specified URI.

  Parameters:
    `profile` -
    `listener` -
  Returns:
    the previously registered `StartChannelListener`

### removeStartChannelListener

    public StartChannelListener removeStartChannelListener(java.lang.String profile)

  Remove the `StartChannelListener` for the specified uri.

  Parameters:
    `profile` -
  Returns:
    `StartChannelListener` registered for the specified uri.

### setLocalization

    public void setLocalization(java.lang.String localize)

  Set values for the BEEP greeting localize attribute.

  Parameters:
    `localize` -

### getLocalization

    public java.lang.String getLocalization()

  Returns the value for the BEEP greeting localize attribute.

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.